* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: black;
    font-family: 'Montserrat';
    color: white;
}

h2 {
    font-size: clamp(2rem, 4vw + 1rem, 4rem);
    margin-bottom: 1.6rem;
    padding-inline: 1.5rem;
}
p {
    font-size: 1.2rem;
    padding-inline: 1.5rem;
    line-height: 1.8;
}

.boxes-section {
    /* width: 96%; */
    /* max-width: 1200px; */
    margin: auto;
    text-align: center;
    padding-block: 6rem 14rem;
    border-bottom: 1px solid rgb(45, 45, 45);
}

@media (max-width: 500px ) {
    .boxes-section {
        padding-block: 4rem 7rem;
    }
}

.boxes-carrousel {
    /* border: 5px solid rgb(1, 255, 26); */
    margin-top: 4rem;
    display: flex;
    place-items: center;
    max-width: 1080px;
    margin-inline: auto;
    /* position: relative; */
    /* overflow: hidden; */
}

.arrow-left, .arrow-right {
    /* background-color: rgb(255, 255, 255); */
    color: rgba(177, 177, 177, 0.352);
    font-size: 3rem;
    font-weight: 900;
    /* width: 50px;
    height: 50px; */
    /* margin-inline: 2rem; */
    cursor: pointer;
    transition: all 0.5s;
}

.arrow-left {
    padding-right: 12px;
}
.arrow-left:hover {
    /* transform: translateX(-2px); */
    transition: all 0.5s;
    color: rgb(224, 224, 224);
}
.arrow-right {
    padding-left: 12px; 
}
.arrow-right:hover {
    /* transform: translateX(2px); */
    transition: all 0.5s;
    color: rgb(224, 224, 224);
}

.uber-cont {
    /* border: 1px solid yellow; */
    margin-inline: auto; 
    overflow: hidden; 
    position: relative;
    width: 930px;
    height: 400px;
    /* background-color: red; */
}

.uber-subcont {
    /* border: 2px solid pink; */
    width: 930px;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

.three-cards-cont {
    /* border: 5px solid red; */
    display: grid;
    grid-template-columns: auto;
    align-items: center;
    width: 930px;
    /* max-width: 48vw; */
    /* width: 90%; */
    margin-inline: auto;    
    position: relative;
    height: 400px;
    overflow: hidden;
}

.one-box {
    position: absolute;
    transition: all 1.3s ease-out;
    width: 33.3333333%;  
    /* border: 1px solid rgb(36, 200, 255); */
    h3 {
        margin-top: 2rem;
        font-weight: 500;
        font-size: 1.2rem;
    }
    p {
        font-size: 5rem;
        margin-top: 34%;
    }
    div {      
        /* border: 1px solid yellow; */
        height: 345px;
        width: 245px;
        border: 1px solid rgb(79, 79, 79);
        margin: auto;
        border-radius: 20px;
        background-color: black;
        background-image: linear-gradient(-45deg, rgb(0, 0, 0, 0.9) 40%, rgba(255, 255, 255, 0.15) 95%);
        /* transition: all 1.3s ease-out; */
    }
}

.c0 {
    transform: translateX(0);
    z-index: 100;
}
.c1 {
    /* transform: translateX(100%); */
    z-index: 50;   
    /* transform: translateX(19vw); */
    transform: translateX(310px) scale(0.8, 0.8);
    opacity: 0.1;
}
.c2 {
    /* transform: translateX(200%); */
    z-index: 100; 
    /* transform: translateX(35vw); */
    transform: translateX(620px);
}
.c3 {
    transform: translateX(310px) scale(1.15, 1.15);
    /* transform: translateX(16vw); */
    /* transform: translateX(100%); */
    z-index: 1000; 
}

@media (max-width: 900px ) {
    .arrow-left, .arrow-right {
        font-size: 2rem;
        position: absolute;
        color: rgba(177, 177, 177, 0.8);
        opacity: 0.5;
        user-select: none;
    }
    .arrow-left {
        left: 10px;
        z-index: 1001;
    }
    .arrow-right {
        right: 10px;
    }
    .one-box {
        div {
            height: 335px;
            width: 235px;
        }
    }
}